import React, { useState, useEffect } from "react";
import { connect } from "react-redux";
import * as actions from "../constants/actions/index";
import store from "../store";
import Library from "./Library";
import { Spin } from "antd";

import Player from "./Player";
import { createMyPlaylist } from "../actions/playerActions";

import Header from "./Header";
import Footer from "./Footer";

import "../styles/library.css";
import "../styles/playlists.css";
import "../styles/MyPlaylists.css";

const MyPlaylists = ({ createMyPlaylist }) => {
  const [playlistName, setPlaylistName] = useState("")

  function createPlaylist(playlistName) {
    createMyPlaylist && createMyPlaylist(playlistName);
    console.log("i am run")
  }

  // useEffect(() => {
  //   createMyPlaylist && createMyPlaylist("vasilyi");
  // }, []);
  return (
    <>
    {/* <div className="wrapper"> */}
      <Header />
      <div className="main">
        <div className="my_playlists">
          <div className="my_playlists_list">
            <h2>My playlists</h2>
          </div>
          <input 
          type="text" 
          placeholder="Enter the name of playlist"
          // value={playlistName}
          onChange={((e)=> setPlaylistName(e.target.value))}
          ></input>
                    {console.log(playlistName)}
          <button onClick={()=> playlistName? createMyPlaylist(playlistName) && console.log("i am run") : console.log("i dont know") }>Add new playlist</button>
          {/* <button onClick={()=> createPlaylist(playlistName) }>Add new playlist</button> */}
        </div>
      </div>
      {/* <Player /> */}
      <Footer />
    {/* </div> */}
    </>
  );
};

const mapStateToProps = (state) => ({
  playlist: state && state.player && state.player.playlist,
});

const mapDispatchToProps = (dispatch) => ({
  // getMyPlaylist: ()=>setTimeout(() => dispatch(getMyPlaylist()), 2000),
});


export default connect(mapStateToProps, mapDispatchToProps)(MyPlaylists);
