import React, { useState, useEffect } from "react";
import Library from "./Library";
import { connect } from "react-redux";
import Playlist from "../components/Playlist";

import "../styles/player.css";
import { setCurrentTrack } from "../actions/playerActions";

// this.props.playlist
const Player = ({ playlist, track, currentTrack, setCurrentTrack, turl, playlistFilteredTracks }) => {
  console.log("currentTrack in Player: ",currentTrack )
  console.log("playlist in Player: ", playlist)
  console.log("track in Player: ", track)
  const [isAutoplayed, setIsAutoplayed] = useState(true);

  function goPrevTrack() {
    setIsAutoplayed(true);
    currentTrack > 0 && setCurrentTrack(currentTrack - 1);
  }
  function goNextTrack() {
    setIsAutoplayed(true);
    playlist? 
    currentTrack < playlist.length && setCurrentTrack(currentTrack + 1) : currentTrack < track.length && setCurrentTrack(currentTrack + 1);
  }

  return (
    <div className="player">
                {/* {console.log(playlist[currentTrack])} */}
      <button className="prevTrack" onClick={goPrevTrack}></button>
        <audio
          controls
            src={ playlist? (playlist &&         
              // turl || 
              playlist[currentTrack] && playlist[currentTrack].url ? playlist[currentTrack].url : turl) // для того что бы листать треки кнопками, в пределах одного плейлиста
              : track? track : ''
              // : track[currentTrack] && track[currentTrack].url ? track[currentTrack].url : turl // для того что бы листать треки кнопками, в пределах одного плейлиста
          } 
            // src={playlist[currentTrack].url}
            // src={track[currentTrack] && track[currentTrack].url}
          
          // src={playlist[currentTrack] && playlist[currentTrack].url}
          // src={track[currentTrack] && track[currentTrack].url}
          autoPlay={isAutoplayed}
        />
      <button className="nextTrack" onClick={goNextTrack}></button>
    </div>
  );
};

const mapStateToProps = (state) => ({
  currentTrack: state.player.currentTrack,
  // currentTrack: state.playlistTrackReducer. ...,
    // currentTrack: state.playlistTrackReducer,
});

const mapDispatchToProps = (dispatch) => ({
  setCurrentTrack: (trackIndex) => dispatch(setCurrentTrack(trackIndex)),
});


export default connect(mapStateToProps, mapDispatchToProps)(Player);
